#ifndef _unicode_h_defined_
#define _unicode_h_defined_

/*!
 * @file unicode.h
 *
 * @brief Manipulate Unicode (@link #jchar jchar@endlink)[]
 * character strings.
 *
 * There are three character string types in this program:
 * null-terminated @link #rchar (rchar)@endlink strings
 * @e ala 'C' language, UTF-8
 * @link #CONSTANT_Utf8_info (CONSTANT_Utf8_info)@endlink strings,
 * and Unicode @link #jchar (jchar)[]@endlink strings.
 *
 *
 * @section Control
 *
 * \$URL: https://svn.apache.org/path/name/unicode.h $ \$Id: unicode.h 0 09/28/2005 dlydick $
 *
 * Copyright 2005 The Apache Software Foundation
 * or its licensors, as applicable.
 *
 * Licensed under the Apache License, Version 2.0 ("the License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied.
 *
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * @version \$LastChangedRevision: 0 $
 *
 * @date \$LastChangedDate: 09/28/2005 $
 *
 * @author \$LastChangedBy: dlydick $
 *         Original code contributed by Daniel Lydick on 09/28/2005.
 *
 * @section Reference
 *
 */

ARCH_COPYRIGHT_APACHE(unicode, h, "$URL: https://svn.apache.org/path/name/unicode.h $ $Id: unicode.h 0 09/28/2005 dlydick $");


/* Prototypes for functions in 'unicode.c' */

extern cp_info_dup *unicode_cnv2utf(jchar *inbfr, jshort length);

extern jshort unicode_strcmp(jchar *us1, u2 l1, jchar *us2, u2 l2);

#endif /* _unicode_h_defined_ */


/* EOF */
